/* ----------------------------------------------------------------------------
 * Copyright (c) 2016-2017 Semiconductor Components Industries, LLC (d/b/a
 * ON Semiconductor), All Rights Reserved
 *
 * This code is the property of ON Semiconductor and may not be redistributed
 * in any form without prior written permission from ON Semiconductor.
 * The terms of use and warranty for this code are covered by contractual
 * agreements between ON Semiconductor and the licensee.
 *
 * This is Reusable Code.
 *
 * ----------------------------------------------------------------------------
 * rsl10_lpdsp32.h
 * - Top-level LPDSP32 compatible header file
 * ----------------------------------------------------------------------------
 * $Revision: 1.3 $
 * $Date: 2016/08/26 18:28:02 $
 * ------------------------------------------------------------------------- */
 
#ifndef RSL10_LPDSP32_H
#define RSL10_LPDSP32_H

#ifdef __cplusplus
 extern "C" {
#endif

/* ----------------------------------------------------------------------------
 * Peripheral Register Definitions
 * ------------------------------------------------------------------------- */
#include <rsl10_lpdsp32_hw.h>

/* ----------------------------------------------------------------------------
 * Memory Map Definitions
 * ------------------------------------------------------------------------- */
#include <rsl10_lpdsp32_map.h>

 #ifdef __cplusplus
}
#endif

#endif /* RSL10_LPDSP32_H */
